## edu.cwru.SimpleRTS.util
Class Pair<A,B>

    java.lang.Object
      edu.cwru.SimpleRTS.util.Pair<A,B>

    public class Pair<A,B>

extends java.lang.Object

Field Summary
`A` `a`
`B` `b`

Constructor Summary
`Pair(A a, B b)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    public A a

### b

    public B b

Constructor Detail

### Pair

    public Pair(A a,
                B b)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`